This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 896038 - (CVE-2013-0190) CVE-2013-0190 kernel: stack corruption in xen_failsafe_callback()
CVE-2013-0190 kernel: stack corruption in xen_failsafe_callback()
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130116,repor...
: Security
Depends On: 896049 896050 896051
Blocks: 896056
  Show dependency treegraph
 
Reported: 2013-01-16 09:18 EST by Petr Matousek
Modified: 2015-07-31 02:57 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-24 09:02:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Upstream proposed patch (2.29 KB, patch)
2013-01-16 09:22 EST, Petr Matousek
no flags Details | Diff

  None (edit)
Description Petr Matousek 2013-01-16 09:18:09 EST
A flaw was found in the way xen_failsafe_callback() handled failed iret,
which causes the stack pointer to be wrong when entering the
iret_exc error path. An unprivileged local guest user in the 32-bit PV
Xen domain could use this flaw to crash the guest.

References:
http://www.openwall.com/lists/oss-security/2013/01/16/6

Acknowledgements:

Red Hat would like to thank the Andrew Cooper of Citrix for reporting this issue.
Comment 1 Petr Matousek 2013-01-16 09:22:55 EST
Created attachment 679616 [details]
Upstream proposed patch
Comment 3 Petr Matousek 2013-01-16 09:28:33 EST
Created kernel tracking bugs for this issue

Affects: fedora-all [bug 896051]
Comment 4 Petr Matousek 2013-01-16 09:39:45 EST
Statement:

This issue did not affect Red Hat Enterprise Linux 5 and Red Hat Enterprise MRG 2.
Comment 5 Andrew Jones 2013-01-16 12:42:17 EST
I'm brewing a build with the proposed patch:

https://brewweb.devel.redhat.com/taskinfo?taskID=5278913

and taking a stab at writing a reproducer.
Comment 6 Fedora Update System 2013-01-18 15:43:52 EST
kernel-3.7.2-204.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2013-01-24 17:39:17 EST
kernel-3.7.3-101.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 errata-xmlrpc 2013-02-21 02:02:22 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:0496 https://rhn.redhat.com/errata/RHSA-2013-0496.html

Note You need to log in before you can comment on or make changes to this bug.